Solaris exrecover Buffer Overflow Vulnerability

exrecover is a system binary included with Solaris, a variant of the UNIX Operating System distributed by Sun Microsystems. A problem in the binary could lead to a local attack.

The problem occurs in the handling of format strings by the program. By executing the program and using format strings as arguments to the command, it is possible to overflow buffers and cause the program to crash. The binary, as distributed with Solaris versions 2.4 through 2.6, is setuid root. While no known exploits exist for this problem, future research and exploitation of this vulnerability could occur, making it possible for a user with malicious intent to overwrite stack variables and potentially arbitrarily execute code.


 

Privacy Statement
Copyright 2010, SecurityFocus